summaryrefslogtreecommitdiff
path: root/short-tests-accelsim.sh
diff options
context:
space:
mode:
Diffstat (limited to 'short-tests-accelsim.sh')
-rwxr-xr-xshort-tests-accelsim.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/short-tests-accelsim.sh b/short-tests-accelsim.sh
index 5cb4d2c..b404d4e 100755
--- a/short-tests-accelsim.sh
+++ b/short-tests-accelsim.sh
@@ -8,6 +8,11 @@ if [ ! -n "$ACCELSIM_BRANCH" ]; then
exit 1;
fi
+if [ ! -n "$ACCELSIM_REPO" ]; then
+ echo "ERROR ** set the ACCELSIM_REPO env variable";
+ exit 1;
+fi
+
if [ ! -n "$GPUAPPS_ROOT" ]; then
echo "ERROR ** GPUAPPS_ROOT to a location where the apps have been compiled";
exit 1;
@@ -19,10 +24,12 @@ export PATH=$CUDA_INSTALL_PATH/bin:$PATH
source ./setup_environment
make -j
-git clone https://github.com/accel-sim/accel-sim-framework.git
+git clone $ACCELSIM_REPO
+basename=$(basename $ACCELSIM_REPO)
+filename=${basename%.*}
# Build accel-sim
-cd accel-sim-framework
+cd $filename
git checkout $ACCELSIM_BRANCH
source ./gpu-simulator/setup_environment.sh
make -j -C ./gpu-simulator